toolkit/sync/sync-file-list-parallel.sh

63 lines
2.6 KiB
Bash
Raw Normal View History

2022-07-18 15:30:06 +00:00
#!/bin/bash
# Syncs everything from staging to production
# Source common variables
# shellcheck disable=SC2046,1091,1090
source "$(dirname "$0")/common"
REV=${REVISION}${APPEND_TO_DIR}
2023-05-17 10:41:10 +00:00
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; ret_val=1; exit 1; }
2022-07-18 15:30:06 +00:00
ret_val=$?
if [ $ret_val -eq "0" ]; then
# Full file list update for rocky linux itself
echo "Starting full file list for category"
2022-07-18 15:30:06 +00:00
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }
find . > "${PRODUCTION_ROOT}/${CATEGORY_STUB}/fullfilelist" & CATEPID=$!
echo "Starting full file list for root"
2022-07-18 20:52:41 +00:00
cd "${PRODUCTION_ROOT}/" || { echo "Failed to change directory"; exit 1; }
find . > "${PRODUCTION_ROOT}/fullfilelist" & ROOTPID=$!
2022-12-14 00:45:04 +00:00
echo "Starting full file list for sig"
cd "${PRODUCTION_ROOT}/${SIG_CATEGORY_STUB}" || { echo "Failed to change directory"; exit 1; }
find . > "${PRODUCTION_ROOT}/${SIG_CATEGORY_STUB}/fullfilelist" & SIGPID=$!
2022-07-18 15:30:06 +00:00
wait $CATEPID
wait $ROOTPID
2022-12-14 00:45:04 +00:00
wait $SIGPID
2022-07-18 15:30:06 +00:00
echo "Generating filelist for quick-fedora-mirror users"
2022-07-18 15:30:06 +00:00
if [[ -f /usr/local/bin/create-filelist ]]; then
# We're already here, but Justin Case wanted this
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }
/bin/cp fullfiletimelist-rocky fullfiletimelist-rocky-old
2022-07-18 22:40:46 +00:00
/usr/local/bin/create-filelist > fullfiletimelist-rocky & CREALIPID=$!
2022-07-18 15:30:06 +00:00
cd "${PRODUCTION_ROOT}/" || { echo "Failed to change directory"; exit 1; }
/bin/cp fullfiletimelist-rocky fullfiletimelist-rocky-old
2022-07-18 22:40:46 +00:00
/usr/local/bin/create-filelist > fullfiletimelist-rocky & ROOTLIPID=$!
2022-12-14 00:45:04 +00:00
cd "${PRODUCTION_ROOT}/${SIG_CATEGORY_STUB}" || { echo "Failed to change directory"; exit 1; }
/bin/cp fullfiletimelist-sig fullfiletimelist-sig-old
/usr/local/bin/create-filelist > fullfiletimelist-sig & SIGLIPID=$!
2022-07-18 22:40:46 +00:00
wait $CREALIPID
wait $ROOTLIPID
2022-12-14 00:45:04 +00:00
wait $SIGLIPID
2022-07-18 22:40:46 +00:00
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }
chown 10004:10005 fullfilelist fullfiletimelist-rocky fullfiletimelist fullfiletimelist-rocky-linux
cp fullfiletimelist-rocky fullfiletimelist
cp fullfiletimelist-rocky fullfiletimelist-rocky-linux
cd "${PRODUCTION_ROOT}/" || { echo "Failed to change directory"; exit 1; }
chown 10004:10005 fullfilelist fullfiletimelist-rocky fullfiletimelist
2022-07-18 15:30:06 +00:00
cp fullfiletimelist-rocky fullfiletimelist
2022-12-14 00:45:04 +00:00
cd "${PRODUCTION_ROOT}/${SIG_CATEGORY_STUB}" || { echo "Failed to change directory"; exit 1; }
chown 10004:10005 fullfilelist fullfiletimelist-sig fullfiletimelist
cp fullfiletimelist-sig fullfiletimelist
fi
2022-07-18 15:30:06 +00:00
fi